## org.h2.jdbc
Class JdbcCallableStatement

    java.lang.Object
      org.h2.message.TraceObject
          org.h2.jdbc.JdbcStatement
              org.h2.jdbc.JdbcPreparedStatement
                  org.h2.jdbc.JdbcCallableStatement

All Implemented Interfaces:
  java.sql.CallableStatement, java.sql.PreparedStatement, java.sql.Statement

    public class JdbcCallableStatement

extends JdbcPreparedStatement
implements java.sql.CallableStatement

Represents a callable statement.

Field Summary

Fields inherited from class org.h2.jdbc.JdbcStatement
`closedByResultSet, conn, fetchSize, maxRows, resultSet, resultSetConcurrency, resultSetType, session, updateCount`

Fields inherited from class org.h2.message.TraceObject
`ARRAY, BLOB, CALLABLE_STATEMENT, CLOB, CONNECTION, DATA_SOURCE, DATABASE_META_DATA, PARAMETER_META_DATA, PREPARED_STATEMENT, RESULT_SET, RESULT_SET_META_DATA, SAVEPOINT, SQL_EXCEPTION, STATEMENT, XA_DATA_SOURCE, XID`

Fields inherited from interface java.sql.Statement
`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

Method Summary
`java.sql.Array` `getArray(int parameterIndex)` [Not supported]
`java.sql.Array` `getArray(java.lang.String parameterName)` [Not supported]
`java.math.BigDecimal` `getBigDecimal(int parameterIndex)` [Not supported]
`java.math.BigDecimal` `getBigDecimal(int parameterIndex, int scale)` Deprecated.
`java.math.BigDecimal` `getBigDecimal(java.lang.String parameterName)` [Not supported]
`java.sql.Blob` `getBlob(int parameterIndex)` [Not supported]
`java.sql.Blob` `getBlob(java.lang.String parameterName)` [Not supported]
`boolean` `getBoolean(int parameterIndex)` [Not supported]
`boolean` `getBoolean(java.lang.String parameterName)` [Not supported]
`byte` `getByte(int parameterIndex)` [Not supported]
`byte` `getByte(java.lang.String parameterName)` [Not supported]
`byte[]` `getBytes(int parameterIndex)` [Not supported]
`byte[]` `getBytes(java.lang.String parameterName)` [Not supported]
`java.sql.Clob` `getClob(int parameterIndex)` [Not supported]
`java.sql.Clob` `getClob(java.lang.String parameterName)` [Not supported]
`java.sql.Date` `getDate(int parameterIndex)` [Not supported]
`java.sql.Date` `getDate(int parameterIndex, java.util.Calendar cal)` [Not supported]
`java.sql.Date` `getDate(java.lang.String parameterName)` [Not supported]
`java.sql.Date` `getDate(java.lang.String parameterName, java.util.Calendar cal)` [Not supported]
`double` `getDouble(int parameterIndex)` [Not supported]
`double` `getDouble(java.lang.String parameterName)` [Not supported]
`float` `getFloat(int parameterIndex)` [Not supported]
`float` `getFloat(java.lang.String parameterName)` [Not supported]
`int` `getInt(int parameterIndex)` [Not supported]
`int` `getInt(java.lang.String parameterName)` [Not supported]
`long` `getLong(int parameterIndex)` [Not supported]
`long` `getLong(java.lang.String parameterName)` [Not supported]
`java.lang.Object` `getObject(int parameterIndex)` [Not supported]
`java.lang.Object` `getObject(int parameterIndex, java.util.Map<java.lang.String,java.lang.Class<?>> map)` [Not supported]
`java.lang.Object` `getObject(java.lang.String parameterName)` [Not supported]
`java.lang.Object` `getObject(java.lang.String parameterName, java.util.Map<java.lang.String,java.lang.Class<?>> map)` [Not supported]
`java.sql.Ref` `getRef(int parameterIndex)` [Not supported]
`java.sql.Ref` `getRef(java.lang.String parameterName)` [Not supported]
`short` `getShort(int parameterIndex)` [Not supported]
`short` `getShort(java.lang.String parameterName)` [Not supported]
`java.lang.String` `getString(int parameterIndex)` [Not supported]
`java.lang.String` `getString(java.lang.String parameterName)` [Not supported]
`java.sql.Time` `getTime(int parameterIndex)` [Not supported]
`java.sql.Time` `getTime(int parameterIndex, java.util.Calendar cal)` [Not supported]
`java.sql.Time` `getTime(java.lang.String parameterName)` [Not supported]
`java.sql.Time` `getTime(java.lang.String parameterName, java.util.Calendar cal)` [Not supported]
`java.sql.Timestamp` `getTimestamp(int parameterIndex)` [Not supported]
`java.sql.Timestamp` `getTimestamp(int parameterIndex, java.util.Calendar cal)` [Not supported]
`java.sql.Timestamp` `getTimestamp(java.lang.String parameterName)` [Not supported]
`java.sql.Timestamp` `getTimestamp(java.lang.String parameterName, java.util.Calendar cal)` [Not supported]
`java.net.URL` `getURL(int parameterIndex)` [Not supported]
`java.net.URL` `getURL(java.lang.String parameterName)` [Not supported]
`void` `registerOutParameter(int parameterIndex, int sqlType)` [Not supported]
`void` `registerOutParameter(int parameterIndex, int sqlType, int scale)` [Not supported]
`void` `registerOutParameter(int paramIndex, int sqlType, java.lang.String typeName)` [Not supported]
`void` `registerOutParameter(java.lang.String parameterName, int sqlType)` [Not supported]
`void` `registerOutParameter(java.lang.String parameterName, int sqlType, int scale)` [Not supported]
`void` `registerOutParameter(java.lang.String parameterName, int sqlType, java.lang.String typeName)` [Not supported]
`void` `setAsciiStream(java.lang.String parameterName, java.io.InputStream x, int length)` [Not supported]
`void` `setBigDecimal(java.lang.String parameterName, java.math.BigDecimal x)` [Not supported]
`void` `setBinaryStream(java.lang.String parameterName, java.io.InputStream x, int length)` [Not supported]
`void` `setBoolean(java.lang.String parameterName, boolean x)` [Not supported]
`void` `setByte(java.lang.String parameterName, byte x)` [Not supported]
`void` `setBytes(java.lang.String parameterName, byte[] x)` [Not supported]
`void` `setCharacterStream(java.lang.String parameterName, java.io.Reader reader, int length)` [Not supported]
`void` `setDate(java.lang.String parameterName, java.sql.Date x)` [Not supported]
`void` `setDate(java.lang.String parameterName, java.sql.Date x, java.util.Calendar cal)` [Not supported]
`void` `setDouble(java.lang.String parameterName, double x)` [Not supported]
`void` `setFloat(java.lang.String parameterName, float x)` [Not supported]
`void` `setInt(java.lang.String parameterName, int x)` [Not supported]
`void` `setLong(java.lang.String parameterName, long x)` [Not supported]
`void` `setNull(java.lang.String parameterName, int sqlType)` [Not supported]
`void` `setNull(java.lang.String parameterName, int sqlType, java.lang.String typeName)` [Not supported]
`void` `setObject(java.lang.String parameterName, java.lang.Object x)` [Not supported]
`void` `setObject(java.lang.String parameterName, java.lang.Object x, int targetSqlType)` [Not supported]
`void` `setObject(java.lang.String parameterName, java.lang.Object x, int targetSqlType, int scale)` [Not supported]
`void` `setShort(java.lang.String parameterName, short x)` [Not supported]
`void` `setString(java.lang.String parameterName, java.lang.String x)` [Not supported]
`void` `setTime(java.lang.String parameterName, java.sql.Time x)` [Not supported]
`void` `setTime(java.lang.String parameterName, java.sql.Time x, java.util.Calendar cal)` [Not supported]
`void` `setTimestamp(java.lang.String parameterName, java.sql.Timestamp x)` [Not supported]
`void` `setTimestamp(java.lang.String parameterName, java.sql.Timestamp x, java.util.Calendar cal)` [Not supported]
`void` `setURL(java.lang.String parameterName, java.net.URL val)` [Not supported]
`boolean` `wasNull()` [Not supported]

Methods inherited from class org.h2.jdbc.JdbcPreparedStatement

`addBatch, addBatch, checkClosed, clearBatch, clearParameters, close, execute, execute, execute, execute, execute, executeBatch, executeQuery, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setObject, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL, toString`

Methods inherited from class org.h2.jdbc.JdbcStatement

`cancel, clearWarnings, closeOldResultSet, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isPoolable, setCursorName, setEscapeProcessing, setExecutingStatement, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

Methods inherited from class org.h2.message.TraceObject
`debugCode, debugCodeAssign, debugCodeCall, debugCodeCall, debugCodeCall, getNextId, getTrace, getTraceId, getTraceObjectName, isDebugEnabled, isInfoEnabled, logAndConvert, quote, quoteArray, quoteBigDecimal, quoteBytes, quoteDate, quoteIntArray, quoteMap, quoteTime, quoteTimestamp, setTrace, setTrace, toString, unsupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.sql.PreparedStatement

`addBatch, clearParameters, execute, executeQuery, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setObject, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout`

Method Detail

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType)
                              throws java.sql.SQLException

  [Not supported]

  Specified by:
    `registerOutParameter` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType,
                                     int scale)
                              throws java.sql.SQLException

  [Not supported]

  Specified by:
    `registerOutParameter` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### wasNull

    public boolean wasNull()
                    throws java.sql.SQLException

  [Not supported]

  Specified by:
    `wasNull` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getString

    public java.lang.String getString(int parameterIndex)
                               throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getString` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getBoolean

    public boolean getBoolean(int parameterIndex)
                       throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getBoolean` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getByte

    public byte getByte(int parameterIndex)
                 throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getByte` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getShort

    public short getShort(int parameterIndex)
                   throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getShort` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getInt

    public int getInt(int parameterIndex)
               throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getInt` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getLong

    public long getLong(int parameterIndex)
                 throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getLong` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getFloat

    public float getFloat(int parameterIndex)
                   throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getFloat` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getDouble

    public double getDouble(int parameterIndex)
                     throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getDouble` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int parameterIndex,
                                              int scale)
                                       throws java.sql.SQLException

  Deprecated.

  [Not supported]

  Specified by:
    `getBigDecimal` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getBytes

    public byte[] getBytes(int parameterIndex)
                    throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getBytes` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getDate

    public java.sql.Date getDate(int parameterIndex)
                          throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getDate` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getTime

    public java.sql.Time getTime(int parameterIndex)
                          throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getTime` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getTimestamp

    public java.sql.Timestamp getTimestamp(int parameterIndex)
                                    throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getTimestamp` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getObject

    public java.lang.Object getObject(int parameterIndex)
                               throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int parameterIndex)
                                       throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getBigDecimal` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getObject

    public java.lang.Object getObject(int parameterIndex,
                                      java.util.Map<java.lang.String,java.lang.Class<?>> map)
                               throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getRef

    public java.sql.Ref getRef(int parameterIndex)
                        throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getRef` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getBlob

    public java.sql.Blob getBlob(int parameterIndex)
                          throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getBlob` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getClob

    public java.sql.Clob getClob(int parameterIndex)
                          throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getClob` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getArray

    public java.sql.Array getArray(int parameterIndex)
                            throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getArray` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getDate

    public java.sql.Date getDate(int parameterIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getDate` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getTime

    public java.sql.Time getTime(int parameterIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getTime` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getTimestamp

    public java.sql.Timestamp getTimestamp(int parameterIndex,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getTimestamp` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### registerOutParameter

    public void registerOutParameter(int paramIndex,
                                     int sqlType,
                                     java.lang.String typeName)
                              throws java.sql.SQLException

  [Not supported]

  Specified by:
    `registerOutParameter` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getURL

    public java.net.URL getURL(java.lang.String parameterName)
                        throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getURL` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String parameterName,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getTimestamp` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getTime

    public java.sql.Time getTime(java.lang.String parameterName,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getTime` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getDate

    public java.sql.Date getDate(java.lang.String parameterName,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getDate` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getArray

    public java.sql.Array getArray(java.lang.String parameterName)
                            throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getArray` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getClob

    public java.sql.Clob getClob(java.lang.String parameterName)
                          throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getClob` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getBlob

    public java.sql.Blob getBlob(java.lang.String parameterName)
                          throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getBlob` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getRef

    public java.sql.Ref getRef(java.lang.String parameterName)
                        throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getRef` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getObject

    public java.lang.Object getObject(java.lang.String parameterName,
                                      java.util.Map<java.lang.String,java.lang.Class<?>> map)
                               throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String parameterName)
                                       throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getBigDecimal` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getObject

    public java.lang.Object getObject(java.lang.String parameterName)
                               throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String parameterName)
                                    throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getTimestamp` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getTime

    public java.sql.Time getTime(java.lang.String parameterName)
                          throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getTime` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getDate

    public java.sql.Date getDate(java.lang.String parameterName)
                          throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getDate` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getBytes

    public byte[] getBytes(java.lang.String parameterName)
                    throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getBytes` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getDouble

    public double getDouble(java.lang.String parameterName)
                     throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getDouble` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getFloat

    public float getFloat(java.lang.String parameterName)
                   throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getFloat` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getLong

    public long getLong(java.lang.String parameterName)
                 throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getLong` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getInt

    public int getInt(java.lang.String parameterName)
               throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getInt` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getShort

    public short getShort(java.lang.String parameterName)
                   throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getShort` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getByte

    public byte getByte(java.lang.String parameterName)
                 throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getByte` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getBoolean

    public boolean getBoolean(java.lang.String parameterName)
                       throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getBoolean` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getString

    public java.lang.String getString(java.lang.String parameterName)
                               throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getString` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setNull

    public void setNull(java.lang.String parameterName,
                        int sqlType,
                        java.lang.String typeName)
                 throws java.sql.SQLException

  [Not supported]

  Specified by:
    `setNull` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setTimestamp

    public void setTimestamp(java.lang.String parameterName,
                             java.sql.Timestamp x,
                             java.util.Calendar cal)
                      throws java.sql.SQLException

  [Not supported]

  Specified by:
    `setTimestamp` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setTime

    public void setTime(java.lang.String parameterName,
                        java.sql.Time x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

  [Not supported]

  Specified by:
    `setTime` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setDate

    public void setDate(java.lang.String parameterName,
                        java.sql.Date x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

  [Not supported]

  Specified by:
    `setDate` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setCharacterStream

    public void setCharacterStream(java.lang.String parameterName,
                                   java.io.Reader reader,
                                   int length)
                            throws java.sql.SQLException

  [Not supported]

  Specified by:
    `setCharacterStream` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setObject

    public void setObject(java.lang.String parameterName,
                          java.lang.Object x)
                   throws java.sql.SQLException

  [Not supported]

  Specified by:
    `setObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setObject

    public void setObject(java.lang.String parameterName,
                          java.lang.Object x,
                          int targetSqlType)
                   throws java.sql.SQLException

  [Not supported]

  Specified by:
    `setObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setObject

    public void setObject(java.lang.String parameterName,
                          java.lang.Object x,
                          int targetSqlType,
                          int scale)
                   throws java.sql.SQLException

  [Not supported]

  Specified by:
    `setObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setBinaryStream

    public void setBinaryStream(java.lang.String parameterName,
                                java.io.InputStream x,
                                int length)
                         throws java.sql.SQLException

  [Not supported]

  Specified by:
    `setBinaryStream` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setTimestamp

    public void setTimestamp(java.lang.String parameterName,
                             java.sql.Timestamp x)
                      throws java.sql.SQLException

  [Not supported]

  Specified by:
    `setTimestamp` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setTime

    public void setTime(java.lang.String parameterName,
                        java.sql.Time x)
                 throws java.sql.SQLException

  [Not supported]

  Specified by:
    `setTime` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setDate

    public void setDate(java.lang.String parameterName,
                        java.sql.Date x)
                 throws java.sql.SQLException

  [Not supported]

  Specified by:
    `setDate` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setBytes

    public void setBytes(java.lang.String parameterName,
                         byte[] x)
                  throws java.sql.SQLException

  [Not supported]

  Specified by:
    `setBytes` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setString

    public void setString(java.lang.String parameterName,
                          java.lang.String x)
                   throws java.sql.SQLException

  [Not supported]

  Specified by:
    `setString` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setBigDecimal

    public void setBigDecimal(java.lang.String parameterName,
                              java.math.BigDecimal x)
                       throws java.sql.SQLException

  [Not supported]

  Specified by:
    `setBigDecimal` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setDouble

    public void setDouble(java.lang.String parameterName,
                          double x)
                   throws java.sql.SQLException

  [Not supported]

  Specified by:
    `setDouble` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setFloat

    public void setFloat(java.lang.String parameterName,
                         float x)
                  throws java.sql.SQLException

  [Not supported]

  Specified by:
    `setFloat` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setLong

    public void setLong(java.lang.String parameterName,
                        long x)
                 throws java.sql.SQLException

  [Not supported]

  Specified by:
    `setLong` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setInt

    public void setInt(java.lang.String parameterName,
                       int x)
                throws java.sql.SQLException

  [Not supported]

  Specified by:
    `setInt` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setShort

    public void setShort(java.lang.String parameterName,
                         short x)
                  throws java.sql.SQLException

  [Not supported]

  Specified by:
    `setShort` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setByte

    public void setByte(java.lang.String parameterName,
                        byte x)
                 throws java.sql.SQLException

  [Not supported]

  Specified by:
    `setByte` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setBoolean

    public void setBoolean(java.lang.String parameterName,
                           boolean x)
                    throws java.sql.SQLException

  [Not supported]

  Specified by:
    `setBoolean` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setNull

    public void setNull(java.lang.String parameterName,
                        int sqlType)
                 throws java.sql.SQLException

  [Not supported]

  Specified by:
    `setNull` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setURL

    public void setURL(java.lang.String parameterName,
                       java.net.URL val)
                throws java.sql.SQLException

  [Not supported]

  Specified by:
    `setURL` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### getURL

    public java.net.URL getURL(int parameterIndex)
                        throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getURL` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### registerOutParameter

    public void registerOutParameter(java.lang.String parameterName,
                                     int sqlType,
                                     java.lang.String typeName)
                              throws java.sql.SQLException

  [Not supported]

  Specified by:
    `registerOutParameter` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### registerOutParameter

    public void registerOutParameter(java.lang.String parameterName,
                                     int sqlType,
                                     int scale)
                              throws java.sql.SQLException

  [Not supported]

  Specified by:
    `registerOutParameter` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### registerOutParameter

    public void registerOutParameter(java.lang.String parameterName,
                                     int sqlType)
                              throws java.sql.SQLException

  [Not supported]

  Specified by:
    `registerOutParameter` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`

### setAsciiStream

    public void setAsciiStream(java.lang.String parameterName,
                               java.io.InputStream x,
                               int length)
                        throws java.sql.SQLException

  [Not supported]

  Specified by:
    `setAsciiStream` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException`